Package ec.eda.dovs

# Class DOVSEvaluator

java.lang.Object
ec.Evaluator
ec.simple.SimpleEvaluator
ec.eda.dovs.DOVSEvaluator

All Implemented Interfaces:
  `Setup`, `Singleton`, `Serializable`

public class DOVSEvaluator extends SimpleEvaluator
The DOVSEvaluator is a SimpleEvaluator to evaluate the Individual. Due to the stochastic property of the problem. An individual may not to be evaluate several times so that we can have a good assessment of it. This evaluator will make use of the statistics of fitness of each individual and determine how many evaluation are needed for a individual where we can have high confidence about its fitness value.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ec.simple.SimpleEvaluator

  `C_AUTO, cloneProblem, MERGE_BEST, MERGE_MEAN, MERGE_MEDIAN, mergeForm, numTests, P_CHUNK_SIZE, P_CLONE_PROBLEM, P_MERGE, P_NUM_TESTS, pool, V_AUTO, V_BEST, V_MEAN, V_MEDIAN`

  ### Fields inherited from class ec.Evaluator

  `masterproblem, P_IAMSLAVE, P_MASTERPROBLEM, p_problem, P_PROBLEM, runComplete`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DOVSEvaluator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `evalPopChunk(EvolutionState state, int[] numinds, int[] from, int threadnum, SimpleProblemForm p)`
  For each of the iteration, we are not just evaluate the individuals in current population but also current best individual and individuals in activeSolutions.

  ### Methods inherited from class ec.simple.SimpleEvaluator

  `evalPopChunk, evaluatePopulation, runComplete, setup`

  ### Methods inherited from class ec.Evaluator

  `closeContacts, initializeContacts, postEvaluationGlobalUpdate, postEvaluationLocalUpdate, reinitializeContacts, setRunComplete`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DOVSEvaluator

    public DOVSEvaluator()

- ## Method Details

  - ### evalPopChunk

    protected void evalPopChunk(EvolutionState state, int[] numinds, int[] from, int threadnum, SimpleProblemForm p)
    For each of the iteration, we are not just evaluate the individuals in current population but also current best individual and individuals in activeSolutions. Their number of evaluation is determined by there fitness statistics.